<ion-header no-padding>
  <ion-toolbar>
    <ion-buttons size="small" slot="end" (click)="close()">
          <ion-icon name="close" color="primary" style="font-size:25px;"></ion-icon>
    </ion-buttons>
    <ion-title style="font-size: 18px" color="primary">Create Board</ion-title>
  </ion-toolbar>

<ion-content fullscreen>
      <form padding [formGroup]="create_form" (ngSubmit)="onCreateBoard(create_form)">
          <div padding-vertical>
            <ion-item class="text" lines="none">
              <ion-label position="floating">Board Name</ion-label>
              <ion-input formControlName="name" pladceholder="Add"></ion-input>
            </ion-item>
            <ion-item class="text" lines="none">
              <ion-label position="floating">Category</ion-label>
              <ion-input formControlName="category" pladceholder="Add"></ion-input>
            </ion-item>
            <ion-item class="text" lines="none">
              <ion-label>Keep Board Secret</ion-label>
              <ion-select  formControlName="visibility" placeholder="Select One" interface="action-sheet">
                <ion-select-option value="1">Yes</ion-select-option>
                <ion-select-option value="0">No</ion-select-option>
              </ion-select>
            </ion-item>
          </div>
        <ion-button type="submit" shape="round" expand="block" color="primary"  [disabled]="!create_form.valid">Create</ion-button>
      </form>
</ion-content>
